/* HOME PAGE */
section{
    margin-bottom: 35px;
    border-bottom: 1px #ebebeb solid;
}

.res-closed .image a img{
}
.centerMarker{
    position:absolute;
    /*url of the marker*/
    background:url(http://maps.gstatic.com/mapfiles/markers2/marker.png) no-repeat;
    /*center the marker*/
    top:50%;left:50%;

    z-index:1;
    /*fix offset when needed*/
    margin-left:-10px;
    margin-top:-34px;
    /*size of the image*/
    height:34px;
    width:20px;

    cursor:pointer;
}

.delivery-details{
    margin-top: 25px;
    border-radius: 5px;
    padding: 20px;
    border: 1px #ebebeb solid;
    -webkit-box-shadow: 0px 5px 10px 0px rgba(0,0,0,0.15);
    -moz-box-shadow: 0px 5px 10px 0px rgba(0,0,0,0.15);
    box-shadow: 0px 5px 10px 0px rgba(0,0,0,0.15);
}

.delivery-details #map{
    margin-top: 20px;
    height: 500px;
}
.delivery-location-details-wrapper{
    padding: 30px 0;
 }

.delivery-location-details-wrapper .image{
    float:left;
    width: 160px;
}

.grey-bg{
    margin-top: 1rem;
    /*margin-bottom: 1rem;*/
    background: #fbfbfb;
    margin-bottom: 50px;
}

.delivery-location-details-wrapper .details{
    float:left;
    border:1px #ebebeb solid;
    background-color: #fff;
    width: 100%;
    /*width: calc(100% - 160px);*/
    height: 150px;
    padding: 25px 30px;
}

.delivery-location-details li{
    margin-bottom: 20px;
}
.delivery-location-details li:last-child{
    margin-bottom: 0;
}

.delivery-location-details li i{
    color: #f85353;
    font-size: 0.8em;
}


.delivery-location-details li i.pencil.alternate{
    color: #999;
    font-size: 0.65em;
    margin-left: 5px;
    vertical-align: top;
}

.delivery-location-details li .label{
    display: inline-block;
    margin-right: 15px;
    min-width: 80px;
    vertical-align: top;
}

.delivery-location-details li .info{
    display: inline-block;
    color: #999;
    width: calc(100% - 110px);
}

.eat-out-banner{
    position: relative;
    margin-top: 30px;
    overflow: hidden;
    height: 150px;
    border-radius: 3px;
}
.eat-out-banner img{
    object-fit: cover;
    width: 100%;
    height: 150px;
}

.eat-out-info{
    position: absolute;
    background: rgba(0,0,0,0.5);
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    color:#fff;
    padding: 20px;
}

.restaurant-card-wrapper{
    /*margin-bottom: 35px;*/
    border: 1px #fbfbfb solid;
    -webkit-box-shadow: 0px 4px 10px 0px rgba(0,0,0,0.05);
    -moz-box-shadow: 0px 4px 10px 0px rgba(0,0,0,0.05);
    box-shadow: 0px 4px 10px 0px rgba(0,0,0,0.05);
}

.category-list .restaurant-card-wrapper{
    padding-bottom: 0px;
    border: 1px #fbfbfb solid;
    -webkit-box-shadow: 0px 4px 10px 0px rgba(0,0,0,0.05);
    -moz-box-shadow: 0px 4px 10px 0px rgba(0,0,0,0.05);
    box-shadow: 0px 4px 10px 0px rgba(0,0,0,0.05);
}
.restaurant-card-wrapper .image{
    position: relative;
}

.restaurant-card-wrapper .image .ribbon-wrapper{
    position: absolute;
    z-index: 1;
    top: -10px;
}

.restaurant-card-wrapper .image img{
    /*object-fit: cover;*/
    /*object-position: center;*/
    width: 100%;
    /*height: 145px;*/
    border-radius: 3px;
}

.restaurant-card-wrapper .description{
    padding: 20px;
    padding-top: 12px;
}

.restaurant-card-wrapper .description .title{
}

.restaurant-card-wrapper .description .title h4{
    float: left;
    width: 100%;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    margin: 0;
    margin-bottom: 5px;
}

.restaurant-card-wrapper .description .title .rating{
    float: right;
    margin-top: -2px;
}

.rating i{
    font-size: 0.6em;
    vertical-align: text-top;
    margin-right: 0;
    color: #f7c733;

}

.pre-order{
    color: #f85353;
    font-weight: 600;
    /*position: absolute;*/
    /*left: 0;*/
    /*right: 0;*/
    /*max-width: 100px;*/
    /*bottom: -8px;*/
    /*margin: auto;*/
    /*text-transform: uppercase;*/
    /*box-sizing: border-box;*/
    /*font-size: 10px;*/
    /*text-align: center;*/
    /*display: inline-block;*/
    /*background: rgba(248,83,83,1);*/
    /*color: #fff;*/
    /*padding: 3px 10px;*/
    /*border-radius: 18px;*/
    /*pointer-events: none;*/
}

.restaurant-card-wrapper .description .cuisine{
    font-size: 12px;
    color: #7d7d7d;
}

.homepage-title-divider{
    margin-bottom: 15px;
}

.homepage-title-divider .view-all{
    display: inline-block;
    margin-left: 10px;
    font-size: 12px;
    font-weight: normal;
    color: #f85353;
    line-height: 34px;
    vertical-align: middle;
}

.homepage-title-divider h2{
    display: inline-block;
}

.sort-by-wrapper{
    float: right;
}

.swiper-wrapper{
    padding-bottom: 10px;
}

.swiper-custom-wrapper{
    position: relative;
    margin-top: 10px;
    margin-bottom: 30px;
}

.swiper-title-wrapper{
    display: block;
    position: relative;
}

.swiper-slide .swiper-title{
    color: #fff;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 10px;
    padding-top: 20px;
    font-size: 15px;
    font-weight: bold;
    box-sizing: border-box;
    background: rgb(0,0,0);
    background: linear-gradient(0deg, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);

}



.category-wrapper{
    display: block;
    position: relative;
    margin-bottom: 15px;
    border-radius: 3px;
    overflow: hidden;
}

.category-wrapper .title{
    color: #fff;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 10px;
    padding-top: 20px;
    font-size: 15px;
    font-weight: bold;
    box-sizing: border-box;
    background: rgb(0,0,0);
    background: linear-gradient(0deg, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);
}

.clear-address{
    background: #fff;
    cursor: pointer;
    position: absolute;
    padding: 5px;
    font-size: 12px;
    right: 36px;
    top: 6px;
}

.category-wrapper img{
    max-height: 140px;
    object-fit: cover;
    margin-bottom: -4px;
}

/* PROFILE PAGE */
.quantity-checker {
    touch-action: manipulation;
}
.side-cart{
    position: relative;
    height: 95%;
    overflow-y: scroll;
    box-sizing: border-box;
    padding-top: 20px;
}

#close-cart{
    position: fixed;
    top: 0;
    right: 3px;
    padding: 10px;
    background: #fff;
}
#close-cart i{
    color: #f85353;
}

.mobile-cart{
    padding: 0 !important;
    display: none;
    visibility: hidden;
    position: fixed;
    left: 0;
    right: 0;
    margin: auto 15px;
    border-radius: 3px;
    overflow: hidden;
    bottom: 15px;
    z-index: 1000;
    -webkit-box-shadow: 0px 10px 15px 0px rgba(0,0,0,0.1);
    -moz-box-shadow: 0px 10px 15px 0px rgba(0,0,0,0.1);
    box-shadow: 0px 10px 15px 0px rgba(0,0,0,0.1);
}

#change-time{
    cursor: pointer;
    text-decoration: underline;
}

.checkout-float-cart.disabled{
    background: #ebebeb;
    pointer-events: none;
    cursor: not-allowed;
}
.ui.negative.message{
    background: #f85353;
    border: none;
}

.ui.negative.invert.message .header{
    color: #fff;
}

.profile-label{
    margin-top: 10px;
}

.delivery-location-details li .cart-address{
    color: #999;
    margin-top: 5px;
}


.delivery-location-details li .label.cart-page{
    min-width: 55px;
}


.delivery-location-details li.cart-page{
    margin-bottom: 10px;
}

.menu-item{
    width: auto !important
}

.menu-item.swiper-slide-active{
    font-weight: bold;
}

#menubar{
    float: right;
    display: inline-block;
    margin: 5px 0 15px 0;
    /*width: calc(100% - 190px);*/
    text-align: right;
}

.menu-selector.fixed.top #menubar .nav li.active{
    display: inline-block;
}

#menubar .nav li{
    /*display: inline-block;*/
    display: none;
}

#menubar .nav li a{
    font-weight: 500;
    color: #333;
    display: inline-block;
}

#menubar .nav li:first-child{
}

#menubar .nav li.active a{
    display: block;
    border-bottom: 3px #f85353 solid;
    font-weight: 700;
}

.menu-list-wrapper{
    padding-top: 30px;
}

.menu-list-wrapper:first-child{
    padding-top: 0;
}

.menu-title{
    display: inline-block;
    border-bottom: 3px #f85353 solid;
    font-weight: 700;
    margin-bottom: 15px;
}

#menubar .nav li.active{
    /*display: inline-block;*/
}

.menu-selector{
    z-index: 100000 !important;
    width: 100%;
    background: #fbfbfb;
    padding: 10px 0;
    /*margin-bottom: 25px;*/
}

.menu-selector .ui.selection.dropdown{
    float: left;
    max-width: 300px;
    width: 100%;
}

.back-to-home{
    display: block;
    float: left;
    line-height: 36px;
    margin-right: 15px;
}

.menu-selector .text{
    width: 100%;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.menu-wrapper{
    padding-top: 25px !important;
}

.item-wrapper{
    position: relative;
    display: block;
    background: #fff;
    padding:25px;
    cursor: pointer;
}

.item-wrapper-popup{
    display: flex;
    flex-direction: row;
    cursor: pointer;
}

.menu-recommended-wrapper{
    display: block !important;
}

.menu-recommended-wrapper > img{
    margin-bottom: 5px;
}

.item-wrapper .item-details{
    /*float: left;*/
    /*width: 70%;*/
    max-width: 100%;
    padding-right: 15px ;
    box-sizing: border-box;
}

.item-wrapper .item-details h4,
.menu-recommended-wrapper .item-details h4{
    margin-bottom: 5px;
    /*color:#f85353*/
    /*text-overflow: ellipsis;*/
    /*white-space: nowrap;*/
    /*overflow: hidden;*/
}

.item-wrapper .item-details .description,
.menu-recommended-wrapper .item-details .description{
    font-size: 12px;
    color: #828585;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
.item-wrapper .item-details .price,
.menu-recommended-wrapper .item-details .price{
    font-size: 12px;
    color: #828585;
    margin-top: 20px;
}

.item-wrapper .item-image{
    /*float:right;*/
    width: 30%;
    margin-left: auto;
}
.item-wrapper .item-image .image{
    padding-top: 100%;
    position: relative;
}

.item-wrapper .item-image img{
    position: absolute;
    top: 0;
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 5px;
}

.cart-float-wrapper{
    margin-top: 5px;
    background: #fff;
    padding: 20px;
}

.empty-cart{
    text-align: center;
    padding:30px 0;
}

.added-cart-item-wrapper{
    margin-top: 15px;
}
.added-cart-item-wrapper .quantity,
.added-cart-item-wrapper .item-details,
.added-cart-item-wrapper .item-price,
.float-cart-summary-wrapper .details .name
{
    float:left;
}

.added-cart-item-wrapper .quantity{
    width: 25px;
    font-size: 12px;
}

.added-cart-item-wrapper .item-details{
    padding:0 8px;
    width: calc(100% - 111px);
    font-size: 12px;
}
.added-cart-item-wrapper .item-details .name{
    font-weight: 500;
}

.added-cart-item-wrapper .item-details .details{
    color:#828585;
    font-size: 11px;
    font-weight: 300;
}

.added-cart-item-wrapper .item-price{
    width: 86px;
    font-size: 12px;
    text-align: right;
}

.added-cart-item-wrapper .item-price .times.icon{
    cursor: pointer;
}
.added-cart-item-wrapper .item-price .times.icon:hover{
    color: #f85353;
}

.added-cart-item-wrapper .item-price .currency,
.float-cart-summary-wrapper .details .price-details .currency{
    float:left;
    font-size: 11px;
}

.float-cart-summary-wrapper .details .price-details{
    float:right;
    width: 86px;
    font-size: 12px;
    text-align: right;
    padding-right: 18px;
}

.float-cart-summary-wrapper .details{
    font-weight: 600;
}

.float-cart-summary-wrapper .details{
    margin-bottom: 8px;
}

.checkout-float-cart{
    display: block;
    background: #02d098;
    padding: 15px ;
    color:#fff;
    font-weight: 600;
    text-align: center;
    font-size: 15px;
    cursor:pointer;
    transition: all 0.3s ease-in-out;
}

.checkout-float-cart .label{
    float:left;
    color:#fff;
}

.checkout-float-cart .total{
    float:right;
    padding-right:18px;
    transition: all 0.1s;
}

.checkout-float-cart {
}
.checkout-float-cart:hover .label {
    animation: swing 0.5s ease;
    animation-iteration-count: 1;
    color: #fff;
}

.checkout-float-cart:hover .total{
    transform: scale(1.1);
    color: #fff;
}

@keyframes swing {
    15% {
        transform: translateX(5px);
    }
    30% {
        transform: translateX(-5px);
    }
    50% {
        transform: translateX(3px);
    }
    65% {
        transform: translateX(-3px);
    }
    80% {
        transform: translateX(2px);
    }
    100% {
        transform: translateX(0);
    }
}

#cart-popup .header{
    /*text-align:center;*/
}
#cart-popup .image img{
    object-fit: contain;
    object-position: center;
    max-height: 365px;
    width: 100%;
}
#cart-popup .options{
    position: relative;
    padding: 1rem;
    padding-bottom: 50px;
}

.options .ui.accordion .title{
    font-family: 'Montserrat', sans-serif !important;
    font-size: 1.1em !important;
    font-weight: 600;
    padding: 1em 0 !important;
}
.options .ui.accordion .title small{
    font-weight: 400;
}

.options .ui.accordion .content{
    font-family: 'Montserrat', sans-serif !important;
    font-size: 0.9em !important;
    margin-top: 0;
    padding-top: 0 !important;
    line-height: 1.8em !important;
}

.product-extra-option-list li{
    margin-bottom: 10px;
}
.product-extra-option-list li .ui.checkbox{
    display: block;
    padding: 5px 0;
}

.product-extra-option-list li .ui.checkbox label{
    width: 100%;
    display: block;
    font-size: 0.9em !important;
    padding-left: 2.2em;
}
.product-extra-option-list li .ui.checkbox label .extra-price{
    float: right;
}
.quantity-checker{
    float: left;
}
.quantity-checker .ui.button{
    margin: 0 5px !important;
}

.quantity-checker .quantity{
    margin: 0 5px !important;
    max-width: 70px !important;
    text-align: center !important;
}

.pop-up-total{
    display: inline-block;
    font-weight: 700;
}

.error-box{
    color: #f85353;
}

.hidden{
    display: none;
}

.scrolling.content{
    position: relative;
}

.bs-callout.bs-callout-warning{
    background: #f85353;
    border-radius: 3px;
    color: #fff;
    padding: 5px 10px;
    width: 90%;
    max-width: 300px;
    margin: auto;
    position: fixed;
    bottom: 75px;
    left: 0;
    right: 0;
    text-align: center;
}

.error-wrapper{
    margin-bottom: 15px;
    border: 1px #ebebeb solid;
    padding: 0 1.5em;
}
.ui.checkbox label{
    cursor: pointer;
}

#cart-wrapper{
    position: relative;
}

.search-address .ui.icon.input{
    width: 100%;
}
.search-address-wrapper.content{
    padding: 0 1em;
}


.search-address-wrapper .ui.search > .results .result .title{
    font-weight: normal !important;
}

.search-address-wrapper .ui.search > .results .result{
    padding: 1.5em !important;
}

.search-address-wrapper .ui.search > .results .result{
    padding: 1.5em !important;
}

.edit-delivery-details{
    cursor: pointer;
}

.edit-delivery-details:hover{
    text-decoration: underline;
}

.error{
    background: #FFF6F6 !important;
    border:1px #E0B4B4 solid !important;
}

/* SUMMARY PAGE */

.total-details .name,
.total-details .price-details {
    font-weight: 700;
    font-size: 1.2em !important;
}
.total-details .price-details {
    width: auto !important;
}

.summary-cart-float .added-cart-item-wrapper .item-price{
    width: 65px;
}

.summary-cart-float .added-cart-item-wrapper .item-details{
    width: calc(100% - 90px);
}

.summary-wrapper{
    background: #f9f9f9;
    padding: 25px;
}

.summary-cart-float .float-cart-summary-wrapper .details .price-details{
    padding-right: 0;
}

.summary-wrapper .price{
    font-weight: 700;
    font-size: 24px;
    line-height: 24px;
}

.summary-wrapper .description{
    padding-top: 5px;
    padding-bottom: 20px;
}

.summary-wrapper .discount .discounted-price{
    font-weight: 700;
    text-decoration: line-through;
    font-size: 15px;
}

.summary-wrapper .discount .discount-desc{
    font-style: italic;
}

.summary-wrapper .discount{
    padding: 8px 0 5px;
}

.summary-delivery-details li{
    margin-bottom: 10px;
}

.google-map{
    margin-bottom: -5px;
}

.checkout-delivery-details .info{
    color: #333 !important;
    font-weight: 600;
}

#card-element{
    margin: 10px 0 !important;
}

.form-row{
    position: relative;
    border:1px #ebebeb solid;
    padding: 15px;
    margin-bottom: 25px;
}
.form-row label{
    font-weight: bold;
}

#cardButton{
    margin: 0 auto;
    margin-top: 15px;
    margin-bottom: 15px;
}

#card-errors{
    color:#f85353;
    font-weight: bold;
}

.creditcard{
    display: block;
    box-sizing: border-box;

    padding: 20px;

    border: 1px solid #ebebeb;
    border-radius: 4px;
    background-color: white;

    box-shadow: 0 1px 3px 0 #e6ebf1;
    -webkit-transition: box-shadow 150ms ease;
    transition: box-shadow 150ms ease;
    margin-bottom: 15px;
}


.creditcard i{
    display: inline;
    font-size: 30px;
    height: 30px;
    vertical-align: text-top;
    margin-right: 10px;
}


.creditcard i.check{
    display: none;
    float: right;
}

.hide {
    display: none;
    visibility: hidden;
}

input.payment_card{
    display: none;
}

input.payment_card:checked + label.creditcard .check.circle.icon {
    display: block;
}

input.payment_card:checked + label.creditcard {
    border-color: #02d098;
}

.error-box{
    border-color: #f85353 !important;
    color: #f85353 !important;
}
.static-form{
    cursor: not-allowed;
    background: #fafafa;
    font-family: 'Lato', 'Helvetica Neue', Arial, Helvetica, sans-serif;
    margin: 0em;
    outline: none;
    -webkit-appearance: none;
    tap-highlight-color: rgba(255, 255, 255, 0);
    line-height: 1.21428571em;
    padding: 0.67857143em 1em;
    font-size: 1em;
    border: 1px solid rgba(34, 36, 38, 0.15);
    color: rgba(0, 0, 0, 0.87);
    border-radius: 0.28571429rem;
    -webkit-box-shadow: 0em 0em 0em 0em transparent inset;
    box-shadow: 0em 0em 0em 0em transparent inset;
    -webkit-transition: color 0.1s ease, border-color 0.1s ease;
    transition: color 0.1s ease, border-color 0.1s ease;
}

.success-cart .res-img{
    width: 250px;
    height: 150px;
    border-radius: 5px;
    object-fit: cover;
    margin-bottom: 15px;
}
.success-cart .total{
    margin-top: 15px;
    font-size: 15px;
    margin-bottom: 15px;
    font-weight: bold;
}